extends includes/layout
block content
    style. 
        .btn-auction{
            width: 100px !important;

        }
    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto 
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .table-responsive
                        table#pickle.table.table-hover.table-striped
                            thead
                                tr
                                    th.strong Name
                                    th.strong Detail
                                    th.strong Start
                                    th.strong End
                                    th.strong Status
                                    th.strong Action
                            tbody 


block script
    script.

        laod_data()

        function laod_data(){
            $.ajax({
                url: "#{HOST_NODE}dashboard/load_lot",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==200 && data.result){

                        console.log(data)

                        $(data.lots).each(function(key,val){

                            if(val.status == 'open'){
                                var bgStatus ='badge light badge-success' 
                            }else if(val.status == 'close'){ 
                                var bgStatus ='badge light badge-primary'
                            }else{
                                var bgStatus ='badge light badge-warning'
                            }

                            var start = moment(val.date_start).format('YYYY/MM/DD HH:mm')
                            var end = moment(val.date_end).format('YYYY/MM/DD HH:mm')

                            var auction = '<a target="_blank" href="#{HOST_NODE}admin/auction/'+val._id+'" class="btn btn-warning shadow btn-xs sharp me-1 btn-auction" data-id="'+val._id+'">Auction</a>';
                            var board_1 = '<a target="_blank" href="#{HOST_NODE}admin/auction/board/'+val._id+'" class="btn btn-info shadow btn-xs sharp me-1 btn-auction" data-id="'+val._id+'">Picture</a>';
                            var board_2 = '<a target="_blank" href="#{HOST_NODE}admin/auction/board2/'+val._id+'" class="btn btn-danger shadow btn-xs sharp me-1 btn-auction" data-id="'+val._id+'">Board</a>';

                            $('#pickle tbody').append('<tr><td>'+val.name+'</td><td>'+val.detail+'</td><td>'+start+'</td><td>'+end+'</td><td><span class="'+bgStatus+'">'+val.status+'</span></td><td>'+auction+board_1+board_2+'</td></tr>')


                        });
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }

        $('#pickle').on('click','.btn-auction',function(){
            auction()
        })

        function auction(){
            console.log('auctionauctionauctionauction')
        }

        $("#btn_logout").click(function () {
            localStorage.removeItem('access_token');
            localStorage.removeItem('expires_in');
        });

        $("#btn_check").click(function () {
            console.log('btn_check')
            check_authen();
        });

        $("#btn_login").click(function () {
            login();
        });

